CreateAlertTemplate
Create a new message template for alert notifications
POST
/api/v1/alerting/templatesOperation ID
CreateAlertTemplateSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
nameStringHuman-readable template name
Example: Custom Email Template
formatStringTemplate format: markdown, html, json, or plain_text
Example: markdown
contentStringTemplate content with variable placeholders
Example: # Alert: {{.AlertName}}
alarmTypeStringTemplate dataset type; omitted creates a resource template
Example: event
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields alarmTypeAddedResponse fields alarmTypeView API
